import java.io.*;
import javax.swing.*;
import javax.tools.*;
import java.util.*;
import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.util.*;
import javax.swing.table.*;
import visad.*;
import visad.java3d.DisplayImplJ3D;
import visad.java2d.DisplayImplJ2D;
import java.rmi.RemoteException;

class  Graph_A extends JApplet 
public init() throws RemoteException,VisADException
{
Object[] o={"y = f(x) 2D graph program (using class plot)",	
            "y = f(x) 2D graph program (using class vplot)",
            "z = f(x,y) 3D graph program",
            "z = f(x,y) 3D contour graph program",
            "z = f(x,t) time dependent graph program",
            "z = f(x) Numerical analysis(root finding, optimisation, integration, derivation)"
            };
//ImageIcon picture=new ImageIcon("fall.jpg"); 
            
    String name=(String)JOptionPane.showInputDialog(null,"Please select program you required to use : ",
    "Real time plotting plus some numerical analysis programs",JOptionPane.QUESTION_MESSAGE,null,o,"y = f(x) 2D graph program");

if(name.equals("y = f(x) 2D graph program (using class plot)"))
{ce1 x0=new ce1();
 double a[]=Text.readDoubleV("Fonksiyonun minimum ve maksimum dešerlerini giriniz xmin xmax");
 ce3 x1=new ce3(a[0],a[1],400,x0.s);
}
else if(name.equals("y = f(x) 2D graph program (using class vplot)"))
{ce1 x0=new ce1();
 double a[]=Text.readDoubleV("Fonksiyonun minimum ve maksimum dešerlerini giriniz xmin xmax");
 ce3V x1=new ce3V(a[0],a[1],400,x0.s);
}
else if(name.equals("z = f(x,y) 3D graph program"))
{	   ce5 xx=new ce5();
	   double a[]=Text.readDoubleV("x_min x_max y_min y_max (4 dešer giriniz)");
	   ce6 xy=new ce6(a[0],a[1],a[2],a[3],200);
}
else if(name.equals( "z = f(x,y) 3D contour graph program"))
{       ce1DC x0=new ce1DC();
        double a[]=Text.readDoubleV("Fonksiyonun minimum ve maksimum dešerlerini giriniz xmin xmax  ymin ymax");
        ce3DC x1=new ce3DC(a,50,x0.s);
}
else if(name.equals( "z = f(x,t) time dependent graph program"))
{    	ce1DT x0=new ce1DT();
        double a[]=Text.readDoubleV("Fonksiyonun minimum ve maksimum dešerlerini giriniz : xmin xmax tmin tmax");
        ce3DT x1=new ce3DT(a,x0.s);  
}
else if(name.equals( "z = f(x) Numerical analysis(root finding, optimisation, integration, derivation)"))
{    	numeric1 m1=new numeric1(); }

}

}
